#ifndef _PLUGIN_UI_H_

void PluginAction (Widget widget, XEvent * event, String * params, Cardinal * num_params);
void NagraudioAction (Widget, XEvent *, String *, Cardinal *);
void HighQualityAction (Widget, XEvent *, String *, Cardinal *);
void FPSAction (Widget, XEvent *, String *, Cardinal *);
void StatusLineAction (Widget, XEvent *, String *, Cardinal *);
void CoupleIncAction (Widget, XEvent *, String *, Cardinal *);
void CoupleDecAction (Widget, XEvent *, String *, Cardinal *);
void SoundModeAction2 (Widget, XEvent *, String *, Cardinal *);
void CryptModeAction (Widget, XEvent *, String *, Cardinal *);
void CryptModeActiondirekt (Widget, XEvent *, String *, Cardinal *);
void SetBurstAction (Widget, XEvent *, String *, Cardinal *);
void DecodeAction (Widget, XEvent *, String *, Cardinal *);
#ifndef DISABLE_ALL_FILTERS
 void BlueFilterAction (Widget, XEvent *, String *, Cardinal *);
 void BlueFilterToggleAction (Widget, XEvent *, String *, Cardinal *);
#endif
#ifndef DISABLE_ALL_KIZKOOL
 void SmudgeFilterToggleAction (Widget, XEvent *, String *, Cardinal *);
 void SmudgeFilterPhaseToggleAction (Widget, XEvent *, String *, Cardinal *);
 void FilterThresholdAction (Widget, XEvent *, String *, Cardinal *);
#endif
void SoundModeAction (Widget, XEvent *, String *, Cardinal *);
void SetBlackAction (Widget, XEvent *, String *, Cardinal *);

void set_sound_decoder (int mode, char *label);


Boolean plugin_ui_init (XtAppContext context, Widget main_shell, Widget tv_shell);
int     plugin_set_idle_grabdisplay (void **func);
int     plugin_parse_cmdline (int *j, char **argv);
int     plugin_create_windows (Widget shell);
int     plugin_add_entry (Widget paned);
int     plugin_close (void);
int     plugin_set_channel (struct CHANNEL *channel);
char *  plugin_use_alternate (void);
int     plugin_init_colors (int *p_bpp);
int     plugin_read_config (int *lcount, char *tag, char *val, int nr, char *filename);
int     plugin_save_config (FILE *fp);
int     plugin_do_command (char **l_tok);
int     plugin_pre_config_init (void);
int     plugin_post_config_init (void);
int     plugin_get_ybar (void);
int     plugin_display_help_message (FILE *fp);
int     plugin_record_movie(int flag);
int     plugin_is_nagraudio_used(void);
#define _PLUGIN_UI_H_
#endif
