%define _unpackaged_files_terminate_build 0

%define name 			xawdecode-plugin
%define Name 			Xawdecode-Plugin
%define libname			libxawdecode
%define version 		1.4.6
%define release 		1
%define summary			%{Name} is a Descrambling plugin for xawdecode

Name: 				%{name}
Summary: 			%{summary}
Version: 			%{version}
Release: 			%{release}
Copyright: 			GPL
Distribution: 			Mandrake Linux
URL:				http://cricrac.fr.st/download/xawdecode/
Source0:			%{name}-%{version}.tar.gz
Group: 				Video

Requires: 			xawdecode > 1.7.5
BuildPreReq: 			xawdecode > 1.7.5
BuildRoot: 			%{_tmppath}/%{name}-%{version}-buildroot

%description
%{Name} is a Descrambling plugin for Xawdecode.
Xawdecode is a software that allows you to watch TV.
It interacts with AleVT for Teletext and Nxtvepg for NextView,
and uses the video4linux API. It can use deinterlacing filters
and record video files with the ffmpeg, xvid, and divx5.05 codecs.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --with-xawdecode-prefix=%{_prefix} --enable-alsa
make

%install
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{_prefix} install

# Cure man path
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/
bzip2 %{buildroot}%{_mandir}/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
PATH="$PATH:/sbin" ldconfig -n %{_prefix}/lib

%postun
PATH="$PATH:/sbin" ldconfig -n %{_prefix}/lib

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog Readme.txt lisez-moi lisez-moi.txt
%doc FAQfr-xawdecode-plugin FAQfr-xawdecode-plugin.txt
%doc lircrc.miro.sample lircrc.hauppauge.sample xawdecoderc.sample
%{_libdir}/%{libname}.a
%{_libdir}/%{libname}.so
%{_libdir}/%{libname}-%{version}.so
%{_libdir}/%{libname}.la
%{_mandir}/man1/%{name}.1.bz2
