
/*********************************************************************************
 *                                                                               *
 * Capture.h                                                                     *
 *                                                                               *
 * Copyright (C) 2003 NiKral                                                     *
 *                                                                               *
 *                                                                               *
 * This program is free software; you can redistribute it and/or                 *
 * modify it under the terms of the GNU General Public License                   *
 * as published by the Free Software Foundation; either version 2                *
 * of the License, or (at your option) any later version.                        *
 *                                                                               *
 *                                                                               *          
 * This program is distributed in the hope that it will be useful,               *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
 * GNU General Public License for more details.                                  *
 *                                                                               *
 *                                                                               *
 * You should have received a copy of the GNU General Public License             *
 * along with this program; if not, write to the Free Software                   *
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.    *
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html                *
 *                                                                               *
 *                                                                               *
 *********************************************************************************/ 


#ifndef CAPTURE_H
#define CAPTURE_H

#include <windows.h>

#define DEFAULT_FILENAME	"C:\\MeuhMeuhPlug.bmp"
#define	DEFAULT_CAP_CRYPT	FALSE
#define	DEFAULT_CAP_HF		FALSE
#define	DEFAULT_CAP_NOBLACK	FALSE

class Capture
{

public:
	Capture();
	~Capture();
	void SetParams(char * sCapFileName,BOOL bCapCrypt,BOOL bCapHalfField,BOOL bCapNoBlack);
	void GetParams(char * sCapFileName,BOOL &bCapCrypt,BOOL &bCapHalfField,BOOL &bCapNoBlack);
    bool CreateBMPFile(int nSizeX, int nSizeY, int nHeightBlackBorder, \
					   BOOL IsOdd, BOOL FullField,\
					   short ** InOddBuf,short ** InEvenBuf, \
					   short ** OutOddBuf,short ** OutEvenBuf);

protected:

	char sCaptureFileName[MAX_PATH];
	BOOL m_bCapCrypt;
	BOOL m_bCapHalfField;
	BOOL m_bCapNoBlack;

	void YUV2RGB(short pix1,short pix2,int *r1,int *g1,int *b1,int *r2,int *g2,int *b2);

};


#endif

