extern short colortable[1380 * 4];
extern int bpp;
static volatile unsigned long nMaskY[2] = { 0x00ff00ff, 0x00ff00ff };
static volatile unsigned long nMaskUV[2] = { 0xff00ff00, 0xff00ff00 };
static volatile unsigned long nPlus128[2] = { 0x80008000, 0x80008000 };
static volatile unsigned char nFaktoren[8] =
{ 0xbf + 5, 0xf9 + 5, 0x89 + 5, 0x19 + 5, 0x49 + 5, 0x20 + 5,
  0x03 /*0xfe+5 */ , 0xf2 + 5
};
static volatile unsigned long ands[2] = { 0x00f800f8, 0x00f800f8 };
static volatile char pCromaPuffer[2*768];
//static volatile unsigned long colortable_offset = 1376; // 4*32 + 4*312

    //********************************************************************
    //                        P U T L I N E    P A L    Y V U
    //********************************************************************
inline void
putline_PAL_YVU (int i1, int i2, int offset32, int y, int perm_y, int xsize, void *p2, void *p1)
{
  __asm__ __volatile__ (
                        // if (MSB(perm_y) == 1) i.e. if (perm_y > 32767 or 16383??) goto 1
                        "movl      %4,               %%eax\n\t"     // perm_y
                        "testl     %%eax,            %%eax\n\t"
                        "js        1f\n\t"

                        // if (perm_y >= 32) goto 0
                        "cmpl      $0x00000020, %%eax\n\t"
                        "jae       0f \n\t"

                        // else perm_y = perm_y - offset32;
                        "subl      %2,               %%eax\n\t"     // offset32
                        
     "0:\n\t"

                        // edi = 4 * (perm_y - y) + 1248
                        "subl      %3, %%eax\n\t"    // y
                        "leal      0x4E0(, %%eax,4), %%edi\n\t"

                        // i1 = i1 & 0x01
                        // i2 = i2 & 0x01
                        "movl      %0, %%eax\n\t"                   // i1
                        "movl      %1, %%ebx\n\t"                   // i2
                        "andl      $00000001, %%eax\n\t"
                        "andl      $00000001, %%ebx\n\t"

                        // edi = edi + (i2 + 2 * i1)
                        "leal      (%%ebx, %%eax,2), %%eax\n\t"
                        "addl      %%eax, %%edi\n\t"

                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

     "1:\n\t"

                        "movl      %7, %%edx\n\t"                   // p1
                        "movl      %5, %%ecx\n\t"                   // xsize

                        "movq      (%%edi),  %%mm7\n\t"             // mm7 = *pColorFaktor (64 bits)
                        "movl       %8, %%edi\n\t"                  // pCromaPuffer
                        "movq       nMaskY,   %%mm4\n\t"
                        "movq       nMaskUV,  %%mm5\n\t"
                        "movq       nPlus128, %%mm6\n\t"

                        "shrl       $3, %%ecx\n\t"                  // xsize (nBreiteQuelle) /= 8
                        "movl       %6, %%ebx\n\t"                  // p2 (pZiel)

                        "movq       (%%edx), %%mm0\n\t"             // mm0 = *p1 (pSource)

                        ".align 16\n\t"

     "2:\n\f" //NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm0, %%mm2\n\t"                // mm2 = V2 Y3 U2 Y2 V0 Y1 U0 Y0  Y nach mm2
                        "psubb     %%mm6, %%mm0\n\t"                // mm0 = V2 Y3 U2 Y2 V0 Y1 U0 Y0  U-128 V-128
                        "pand      %%mm4, %%mm2\n\t"                // mm2 = 00 Y3 00 Y2 00 Y1 00 Y0  Y Ausmaskieren
                        "psraw     $8, %%mm0\n\t"                   // mm0 = V2 V2 U2 U2 V0 V0 U0 U0  U und V auf 16 Bit erweitern
                        "movq      %%mm0, %%mm1\n\t"                // mm1 = V2 V2 U2 U2 V0 V0 U0 U0  Zweites Pixelpaar nach mm1
                        "punpckldq %%mm0, %%mm0\n\t"                // mm0 = V0 V0 U0 U0 V0 V0 U0 U0  Untere 32 Bit in die oberen 32 Bit kopieren
                        "punpckhdq %%mm1, %%mm1\n\t"                // mm1 = V2 V2 U2 U2 V2 V2 U2 U2  Obere 32 Bit in die unteren 32 Bit kopieren
                        "pmaddwd   %%mm7, %%mm0\n\t"                // mm0 = v0 v0 v0 v0 u0 u0 u0 u0  u0 = U0 * *(pColorFaktor+0) + V0 * *(pColorFaktor+1);
                                                                    //   v0 = U0 * *(pColorFaktor+2) + V0 * *(pColorFaktor+3);
                        "pmaddwd   %%mm7, %%mm1\n\t"                // mm1 = v2 v2 v2 v2 u2 u2 u2 u2  u2 = U2 * *(pColorFaktor+0) + V2 * *(pColorFaktor+1);
                                                                    //   v2 = U2 * *(pColorFaktor+2) + V2 * *(pColorFaktor+3);
                        "psrad     $14, %%mm0\n\t"                  // mm0 = v0 v0 v0 v0 u0 u0 u0 u0  Geteilt durch 16384
                        "psrad     $14, %%mm1\n\t"                  // mm1 = v2 v2 v2 v2 u2 u2 u2 u2  Geteilt durch 16384
                        "packssdw  %%mm1, %%mm0\n\t"                // mm0 = v2 v2 u2 u2 v0 v0 u0 u0  Ergebnis auf 16 bit krzen
                        "movq      -8(%%edi, %%ecx, 8), %%mm3\n\t"  // mm3 = v2 v2 u2 u2 v0 v0 u0 u0  Farbwerte der letzten Zeile
                        "movq      %%mm0, -8(%%edi, %%ecx, 8)\n\t"  // mm0 = v2 v2 u2 u2 v0 v0 u0 u0  Farbe fr nchste Zeile merken
                        "paddsw    %%mm3, %%mm0\n\t"                // mm0 = v2 v2 u2 u2 v0 v0 u0 u0  Farbwerte der letzten Zeile addieren
                        "packsswb  %%mm0, %%mm0\n\t"                // mm0 = v2 u2 v0 u0 v2 u2 v0 u0  Auf 8 Bit krzen
                        "punpcklbw %%mm0, %%mm0\n\t"                // mm0 = v2 v2 u2 u2 v0 v0 u0 u0
                        "pand      %%mm5, %%mm0\n\t"                // mm0 = v2 00 u2 00 v0 00 u0 00  U und V ausmaskieren
                        "psubb     %%mm6, %%mm0\n\t"                // mm0 = v2 00 u2 00 v0 00 u0 00  U+128 V+128
                        "por       %%mm0, %%mm2\n\t"                // mm2 = v2 Y3 u2 Y2 v0 Y1 u0 Y0

                        "movq      %%mm2, (%%ebx)\n\t"              // *pZiel = mm2
                        "addl      $8, %%ebx\n\t"                   // pZiel += 8

                        "decl      %%ecx\n\t"                       // nBreiteQuelle--
                        "jne       2b\n\t" //NextPixel              // Sind noch weitere Pixel in dieser Zeile

                        "emms\n\t"                                  // MMX zurcksetzen

                        :    /* no output */
                        :    /* input */
                        "m" (i1),          /* %0 */
                        "m" (i2),          /* %1 */
                        "m" (offset32),    /* %2 */
                        "m" (y),           /* %3 */
                        "m" (perm_y),      /* %4 */
                        "m" (xsize),       /* %5 */
                        "m" (p2),          /* %6 */
                        "m" (p1),          /* %7 */
                        "m" (pCromaPuffer) /* %8 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );                        
}

    //********************************************************************
    //                        P U T L I N E    P A L   R G B 1 6
    //********************************************************************
inline void
putline_PAL_RGB16 (int i1, int i2, int offset32, int y, int perm_y, int xsize, void *p2,
         void *p1)
{
  __asm__ __volatile__ (
                        // if (MSB(perm_y) == 1) i.e. if (perm_y > 32767 or 16383??) goto 1
                        "movl      %4, %%eax\n\t"                   // perm_y
                        "testl     %%eax, %%eax\n\t"
                        "js        1f\n\t"

                        // if (perm_y >= 32) goto putlinePALRGB16m1
                        "cmpl      $0x00000020, %%eax\n\t"
                        "jae       0f\n\t"

                        // else perm_y = perm_y - offset32;
                        "subl      %2, %%eax\n\t"                   // offset32
                        
        "0:\n\t"

                        // edi = 4 * (perm_y - y) + 1248
                        "subl      %3, %%eax\n\t"    // y
                        "leal      0x4E0(, %%eax,4), %%edi\n\t"

                        // i1 = i1 & 0x01
                        // i2 = i2 & 0x01
                        "movl      %0, %%eax\n\t"                   // i1
                        "movl      %1, %%ebx\n\t"                   // i2
                        "andl      $00000001, %%eax\n\t"
                        "andl      $00000001, %%ebx\n\t"

                        // edi = edi + (i2 + 2 * i1)
                        "leal      (%%ebx, %%eax,2), %%eax\n\t"
                        "addl      %%eax, %%edi\n\t"

                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

        "1:\n\t"

                        "movl      %7, %%edx\n\t"                   // p1
                        "movl      %5, %%ecx\n\t"                   // xsize

                        "movq      (%%edi), %%mm7\n\t"              // mm7 = *pColorFaktor (64 bits)
                        "movq      nMaskY, %%mm4\n\t"

                        "shrl      $3, %%ecx\n\t"                   // xsize /= 8
                        "movl      %6, %%ebx\n\t"                   // p2

                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1

                        "addl      $8, %%edx\n\t"                   // p1 += 8

                        "subl      $8, %%ebx\n\t"                   // p2 -= 8 

                        "jmp       3f\n\t" //StartPixel

                        ".align 16\n\t"

        "2:\n\t" // NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 = mm2


        "3:\n\t" // StartPixel
                        "movq      %%mm0, %%mm2\n\t"
                        "psubb     nPlus128, %%mm0\n\t"             // U-128 V-128
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "psraw     $8, %%mm0\n\t"
                        "pand      %%mm4, %%mm2\n\t"                // unmask UV
                        "movq      %%mm0, %%mm1\n\t"
                        "punpckldq %%mm0, %%mm0\n\t"
                        "psrlw     $1, %%mm2\n\t"
                        "pmaddwd   %%mm7, %%mm0\n\t"                // mm0 += *pColorFaktor
                        // ??? movq mm6
                        "punpckhdq %%mm1, %%mm1\n\t"
                        "movq      %%mm2, %%mm5\n\t"
                        "pmaddwd   %%mm7, %%mm1\n\t"
                        "punpcklbw %%mm2, %%mm2\n\t"
                        "psrad     $0x0B, %%mm0\n\t"
                        "psrad     $0x0B, %%mm1\n\t"
                        "packssdw  %%mm1, %%mm0\n\t"
                        // ??? movd eax
                        "packssdw  %%mm1, %%mm1\n\t"
                        "paddsw    %%mm0, %%mm0\n\t"
                        "punpckhbw %%mm5, %%mm5\n\t"
                        "movq      %%mm0, %%mm6\n\t"
                        "movq      nFaktoren, %%mm3\n\t"
                        "punpckldq %%mm6, %%mm6\n\t"
                        "pmulhw    %%mm3, %%mm6\n\t"
                        "punpckhdq %%mm0, %%mm0\n\t"
                        "pmulhw    %%mm3, %%mm0\n\t"
                        "movq      %%mm2, %%mm1\n\t"
                        "psllq     $8, %%mm2\n\t"
                        "movq      %%mm6, %%mm3\n\t"
                        "psrlq     $0x30, %%mm6\n\t"
                        "por       %%mm1, %%mm2\n\t"
                        "paddsw    %%mm3, %%mm6\n\t"
                        "movq      %%mm5, %%mm3\n\t"
                        "psllq     $8, %%mm5\n\t"
                        "packsswb  %%mm6, %%mm6\n\t"
                        "movq      %%mm0, %%mm1\n\t"
                        "psrlq     $0x30, %%mm0\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "paddsw    %%mm1, %%mm0\n\t"
                        "pxor      %%mm1, %%mm1\n\t"
                        "packsswb  %%mm0, %%mm0\n\t"
                        "pxor      %%mm3, %%mm3\n\t"
                        "paddsb    %%mm0, %%mm5\n\t"
                        "paddsb    %%mm6, %%mm2\n\t"
                        "pcmpgtb   %%mm5, %%mm3\n\t"
                        "pandn     %%mm5, %%mm3\n\t"
                        "pcmpgtb   %%mm2, %%mm1\n\t"
                        "movq      %%mm3, %%mm0\n\t"
                        "pand      %%mm4, %%mm3\n\t"
                        "psrld     $0x0A, %%mm0\n\t"
                        "pandn     %%mm2, %%mm1\n\t"
                        "pslld     $0x1B, %%mm0\n\t"                // 0x1A
                        "movq      %%mm3, %%mm5\n\t"
                        "psrlw     $2, %%mm3\n\t"
                        "movq      %%mm1, %%mm2\n\t"
                        "psrld     $1, %%mm5\n\t"                   // 02
                        "pand      %%mm4, %%mm1\n\t"
                        "pslld     $0x15, %%mm5\n\t"
                        "por       %%mm0, %%mm5\n\t"
                        "movq      %%mm1, %%mm0\n\t"
                        "psrlw     $2, %%mm1\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "psrld     $1, %%mm0\n\t"                   // 02
                        "pslld     $0x15, %%mm0\n\t"
                        "psrad     $0x10, %%mm5\n\t"
                        "por       %%mm0, %%mm1\n\t"
                        "psrld     $0x0A, %%mm2\n\t"
                        "pslld     $0x1B, %%mm2\n\t"                // 0x1A
                        "por       %%mm1, %%mm2\n\t"
                        "psrad     $0x10, %%mm2\n\t"
                        "decl      %%ecx\n\t"
                        "packssdw  %%mm5, %%mm2\n\t"
                        "jne       2b\n\t" // NextPixel

                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 = mm2

        "4:\n\t" //end
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (i1),       /* %0 */
                        "m" (i2),       /* %1 */
                        "m" (offset32), /* %2 */
                        "m" (y),        /* %3 */
                        "m" (perm_y),   /* %4 */
                        "m" (xsize),    /* %5 */
                        "m" (p2),       /* %6 */
                        "m" (p1)        /* %7 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );

}


    //********************************************************************
    //                        P U T L I N E   P A L   R G B 3 2
    //********************************************************************

inline void
putline_PAL_RGB32 (int i1, int i2, int offset32, int y, int perm_y, int xsize, void *p2,
         void *p1)
{
  __asm__ __volatile__ (
                        // if (MSB(perm_y) == 1) i.e. if (perm_y > 32767 or 16383??) goto 1
                        "movl      %4, %%eax\n\t"                   // perm_y
                        "testl     %%eax, %%eax\n\t"
                        "js        1f\n\t"

                        // if (perm_y >= 32) goto 0
                        "cmpl      $0x00000020, %%eax\n\t"
                        "jae       0f\n\t"

                        // else perm_y = perm_y - offset32;
                        "subl      %2, %%eax\n\t"                   // offset32

        "0:\n\t"

                        // else perm_y = perm_y - offset32;
                        "subl      %3, %%eax\n\t"                   // y
                        "leal      0x4E0(, %%eax,4), %%edi\n\t"

                        // i1 = i1 & 0x01
                        // i2 = i2 & 0x01
                        "movl      %0, %%eax\n\t"                   // i1
                        "movl      %1, %%ebx\n\t"                   // i2
                        "andl      $00000001, %%eax\n\t"
                        "andl      $00000001, %%ebx\n\t"

                        // edi = edi + (i2 + 2 * i1)
                        "leal      (%%ebx, %%eax,2), %%eax\n\t"
                        "addl      %%eax, %%edi\n\t"

                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

        "1:\n\t"

                        "movl      %7, %%edx\n\t"                   // p1
                        "movl      %5, %%ecx\n\t"                   // xsize

                        "movq      (%%edi), %%mm7\n\t"              // mm7 = *pColorFaktor (64 bits)
                        "movq      nMaskY, %%mm4\n\t"

                        "shrl      $3, %%ecx\n\t"                   // xsize /= 8
                        "movl      %6, %%ebx\n\t"                   // p2

                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1

                        "addl      $8, %%edx\n\t"                   // p1 += 8

                        "subl      $8, %%ebx\n\t"                   // p2 -= 8

                        "jmp       3f\n\t" //StartPixel

                        ".align 16\n\t"

	"2:\n\t" //NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 = mm2
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "movq      %%mm5, (%%ebx)\n\t"              // *p2 = mm5

        "3:\n\t" //StartPixel
                        "movq      %%mm0, %%mm2\n\t"
                        "psubb     nPlus128, %%mm0\n\t"             // U-128 V-128
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "psraw     $8, %%mm0\n\t"
                        "pand      %%mm4, %%mm2\n\t"                // unmask UV
                        "movq      %%mm0, %%mm1\n\t"
                        "punpckldq %%mm0, %%mm0\n\t"
                        "psrlw     $1, %%mm2\n\t"
                        "pmaddwd   %%mm7, %%mm0\n\t"                // mm0 += *pColorFaktor
                        "punpckhdq %%mm1, %%mm1\n\t"
                        "movq      %%mm2, %%mm5\n\t"
                        "pmaddwd   %%mm7, %%mm1\n\t"
                        "punpcklbw %%mm2, %%mm2\n\t"
                        "psrad     $0x0B, %%mm0\n\t"
                        "psrad     $0x0B, %%mm1\n\t"
                        "packssdw  %%mm1, %%mm0\n\t"
                        "packssdw  %%mm1, %%mm1\n\t"
                        "paddsw    %%mm0, %%mm0\n\t"
                        "punpckhbw %%mm5, %%mm5\n\t"
                        "movq      %%mm0, %%mm6\n\t"
                        "movq      nFaktoren, %%mm3\n\t"
                        "punpckldq %%mm6, %%mm6\n\t"
                        "pmulhw    %%mm3, %%mm6\n\t"
                        "punpckhdq %%mm0, %%mm0\n\t"
                        "pmulhw    %%mm3, %%mm0\n\t"
                        "movq      %%mm2, %%mm1\n\t"
                        "psllq     $8, %%mm2\n\t"
                        "por       %%mm1, %%mm2\n\t"
                        "movq      %%mm6, %%mm3\n\t"
                        "psrlq     $0x30, %%mm6\n\t"
                        "paddsw    %%mm3, %%mm6\n\t"
                        "packsswb  %%mm6, %%mm6\n\t"
                        "movq      %%mm5, %%mm3\n\t"
                        "psllq     $8, %%mm5\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "movq      %%mm0, %%mm1\n\t"
                        "psrlq     $0x30, %%mm0\n\t"
                        "paddsw    %%mm1, %%mm0\n\t"
                        "packsswb  %%mm0, %%mm0\n\t"
                        "paddsb    %%mm0, %%mm5\n\t"
                        "paddsb    %%mm6, %%mm2\n\t"
                        "pxor      %%mm1, %%mm1\n\t"
                        "pxor      %%mm3, %%mm3\n\t"
                        "pcmpgtb   %%mm5, %%mm3\n\t"
                        "pandn     %%mm5, %%mm3\n\t"
                        "pcmpgtb   %%mm2, %%mm1\n\t"
                        "pandn     %%mm2, %%mm1\n\t"
                        "movq      %%mm3, %%mm0\n\t"
                        "psrld     $0x0A, %%mm0\n\t"                // t
                        "pslld     $0x13, %%mm0\n\t"                // R
                        "pand      %%mm4, %%mm3\n\t"
                        "movq      %%mm3, %%mm5\n\t"
                        "psrld     $1, %%mm5\n\t"                   // t
                        "psllw     $0x0A, %%mm5\n\t"                // G
                        "por       %%mm0, %%mm5\n\t"
                        "psrlw     $0x02, %%mm3\n\t"
                        "psrld     $0x0d, %%mm3\n\t"                // t
                        "por       %%mm3, %%mm5\n\t"                // B
                        "movq      %%mm1, %%mm2\n\t"
                        "pand      %%mm4, %%mm1\n\t"
                        "movq      %%mm1, %%mm0\n\t"
                        "psrld     $1, %%mm0\n\t"                   // t
                        "psllw     $0x0A, %%mm0\n\t"                // G
                        "psrlw     $0x02, %%mm1\n\t"
                        "psrld     $0x0d, %%mm1\n\t"                // t
                        "por       %%mm0, %%mm1\n\t"                // B
                        "psrld     $0x0A, %%mm2\n\t"                // t
                        "pslld     $0x13, %%mm2\n\t"                // R
                        "por       %%mm1, %%mm2\n\t"
                        "decl      %%ecx\n\t"
                        "jne       2b\n\t"
                        "movq      %%mm2, (%%ebx)\n\t"
                        "addl      $8, %%ebx\n\t"
                        "movq      %%mm5, (%%ebx)\n\t"

        "4:\n\t" //end
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (i1),       /* %0 */
                        "m" (i2),       /* %1 */
                        "m" (offset32), /* %2 */
                        "m" (y),        /* %3 */
                        "m" (perm_y),   /* %4 */
                        "m" (xsize),    /* %5 */
                        "m" (p2),       /* %6 */
                        "m" (p1)        /* %7 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );

}


    //********************************************************************
    //                        P U T L I N E D U P   P A L   R G B 1 6
    //********************************************************************
inline void
putlinedup_PAL_RGB16 (int i1, int i2, int offset32, int y, int perm_y, int xsize,
            void *p2, void *p1, void *p2dup)
{
  __asm__ __volatile__ (
                        // if (MSB(perm_y) == 1) i.e. if (perm_y > 32767 or 16383??) goto 1
                        "movl      %4, %%eax\n\t"                   // perm_y
                        "testl     %%eax, %%eax\n\t"
                        "js        1f\n\t"

                        // if (perm_y >= 32) goto 0
                        "cmpl      $0x00000020, %%eax\n\t"
                        "jae       0f\n\t"

                        // else perm_y = perm_y - offset32;
                        "subl      %2, %%eax\n\t"                   // offset32

        "0:\n\t"

                        // edi = 4 * (perm_y - y) + 1248
                        "subl      %3, %%eax\n\t"                   // y
                        "leal      0x4E0(, %%eax,4), %%edi\n\t"

                        // i1 = i1 & 0x01
                        // i2 = i2 & 0x01
                        "movl      %0, %%eax\n\t"                   // i1
                        "movl      %1, %%ebx\n\t"                   // i2
                        "andl      $00000001, %%eax\n\t"
                        "andl      $00000001, %%ebx\n\t"

                        // edi = edi + (i2 + 2 * i1)
                        "leal      (%%ebx, %%eax,2), %%eax\n\t"
                        "addl      %%eax, %%edi\n\t"

                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

        "1:\n\t"
                        "movl      %7, %%edx\n\t"                   // p1
                        "movl      %5, %%ecx\n\t"                   // xsize

                        "movq      (%%edi), %%mm7\n\t"
                        "movq      nMaskY, %%mm4\n\t"

                        "shrl      $3, %%ecx\n\t"                   // xsize /= 8
                        "movl      %6, %%ebx\n\t"                   // p2
                        "movl      %8, %%eax\n\t"                   // p2dup

                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1

                        "addl      $8, %%edx\n\t"                   // p1 += 8

                        "subl      $8, %%ebx\n\t"                   // p2 -= 8

                        "subl      $8, %%eax\n\t"                   // p2dup -= 8

                        "jmp       3f\n\t" //StartPixel

                        ".align 16\n\t"

        "2:\n\t" //NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 == mm2
                        "movq      %%mm2, (%%eax)\n\t"              // *p2dup = mm2

        "3:\n\t" //StartPixel
                        "movq      %%mm0, %%mm2\n\t"
                        "psubb     nPlus128, %%mm0\n\t"             // U-128 V-128
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "addl      $8, %%eax\n\t"                   // p2dup += 8
                        "psraw     $8, %%mm0\n\t"
                        "pand      %%mm4, %%mm2\n\t"                // unmask UV
                        "movq      %%mm0, %%mm1\n\t"
                        "punpckldq %%mm0, %%mm0\n\t"
                        "psrlw     $1, %%mm2\n\t"
                        "pmaddwd   %%mm7, %%mm0\n\t"
                        "punpckhdq %%mm1, %%mm1\n\t"
                        "movq      %%mm2, %%mm5\n\t"
                        "pmaddwd   %%mm7, %%mm1\n\t"
                        "punpcklbw %%mm2, %%mm2\n\t"
                        "psrad     $0x0B, %%mm0\n\t"
                        "psrad     $0x0B, %%mm1\n\t"
                        "packssdw  %%mm1, %%mm0\n\t"
                        "packssdw  %%mm1, %%mm1\n\t"
                        "paddsw    %%mm0, %%mm0\n\t"
                        "punpckhbw %%mm5, %%mm5\n\t"
                        "movq      %%mm0, %%mm6\n\t"
                        "movq      nFaktoren, %%mm3\n\t"
                        "punpckldq %%mm6, %%mm6\n\t"
                        "pmulhw    %%mm3, %%mm6\n\t"
                        "punpckhdq %%mm0, %%mm0\n\t"
                        "pmulhw    %%mm3, %%mm0\n\t"
                        "movq      %%mm2, %%mm1\n\t"
                        "psllq     $8, %%mm2\n\t"
                        "movq      %%mm6, %%mm3\n\t"
                        "psrlq     $0x30, %%mm6\n\t"
                        "por       %%mm1, %%mm2\n\t"
                        "paddsw    %%mm3, %%mm6\n\t"
                        "movq      %%mm5, %%mm3\n\t"
                        "psllq     $8, %%mm5\n\t"
                        "packsswb  %%mm6, %%mm6\n\t"
                        "movq      %%mm0, %%mm1\n\t"
                        "psrlq     $0x30, %%mm0\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "paddsw    %%mm1, %%mm0\n\t"
                        "pxor      %%mm1, %%mm1\n\t"
                        "packsswb  %%mm0, %%mm0\n\t"
                        "pxor      %%mm3, %%mm3\n\t"
                        "paddsb    %%mm0, %%mm5\n\t"
                        "paddsb    %%mm6, %%mm2\n\t"
                        "pcmpgtb   %%mm5, %%mm3\n\t"
                        "pandn     %%mm5, %%mm3\n\t"
                        "pcmpgtb   %%mm2, %%mm1\n\t"
                        "movq      %%mm3, %%mm0\n\t"
                        "pand      %%mm4, %%mm3\n\t"
                        "psrld     $0x0A, %%mm0\n\t"
                        "pandn     %%mm2, %%mm1\n\t"
                        "pslld     $0x1B, %%mm0\n\t"                // 0x1A
                        "movq      %%mm3, %%mm5\n\t"
                        "psrlw     $2, %%mm3\n\t"
                        "movq      %%mm1, %%mm2\n\t"
                        "psrld     $1, %%mm5\n\t"                   // 02
                        "pand      %%mm4, %%mm1\n\t"
                        "pslld     $0x15, %%mm5\n\t"
                        "por       %%mm0, %%mm5\n\t"
                        "movq      %%mm1, %%mm0\n\t"
                        "psrlw     $2, %%mm1\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "psrld     $1, %%mm0\n\t"                   // 02
                        "pslld     $0x15, %%mm0\n\t"
                        "psrad     $0x10, %%mm5\n\t"
                        "por       %%mm0, %%mm1\n\t"
                        "psrld     $0x0A, %%mm2\n\t"
                        "pslld     $0x1B, %%mm2\n\t"                // 0x1A
                        "por       %%mm1, %%mm2\n\t"
                        "psrad     $0x10, %%mm2\n\t"
                        "decl      %%ecx\n\t"
                        "packssdw  %%mm5, %%mm2\n\t"
                        "jne       2b\n\t" //NextPixel
                        "movq      %%mm2, (%%ebx)\n\t"
                        "movq      %%mm2, (%%eax)\n\t"

        "4:\n\t" //end
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (i1),       /* %0 */
                        "m" (i2),       /* %1 */
                        "m" (offset32), /* %2 */
                        "m" (y),        /* %3 */
                        "m" (perm_y),   /* %4 */
                        "m" (xsize),    /* %5 */
                        "m" (p2),       /* %6 */
                        "m" (p1),       /* %7 */
                        "m" (p2dup)     /* %8 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );
}



    //********************************************************************
    //                        P U T L I N E D U P   P A L   R G B 3 2
    //********************************************************************
inline void
putlinedup_PAL_RGB32 (int i1, int i2, int offset32, int y, int perm_y, int xsize,
            void *p2, void *p1, void *p2dup)
{
  __asm__ __volatile__ (
                        // if (MSB(perm_y) == 1) i.e. if (perm_y > 32767 or 16383??) goto 1
                        "movl      %4, %%eax\n\t"                   // perm_y
                        "testl     %%eax, %%eax\n\t"
                        "js        1f\n\t"

                        // if (perm_y >= 32) goto 0
                        "cmpl      $0x00000020, %%eax\n\t"
                        "jae       0f\n\t"

                        // else perm_y = perm_y - offset32;
                        "subl      %2, %%eax\n\t"                   // offset32

        "0:\n\t"

                        // else perm_y = perm_y - offset32;
                        "subl      %3, %%eax\n\t"                   // y
                        "leal      0x4E0(, %%eax,4), %%edi\n\t"

                        // i1 = i1 & 0x01
                        // i2 = i2 & 0x01
                        "movl      %0, %%eax\n\t"                   // i1
                        "movl      %1, %%ebx\n\t"                   // i2
                        "andl      $00000001, %%eax\n\t"
                        "andl      $00000001, %%ebx\n\t"

                        // edi = edi + (i2 + 2 * i1)
                        "leal      (%%ebx, %%eax,2), %%eax\n\t"
                        "addl      %%eax, %%edi\n\t"

                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

        "1:\n\t"
                        "movl      %7, %%edx\n\t"                   // p1
                        "movl      %5, %%ecx\n\t"                   // xsize

                        "movq      (%%edi), %%mm7\n\t"
                        "movq      nMaskY, %%mm4\n\t"

                        "shrl      $3, %%ecx\n\t"                   // xsize /= 8
                        "movl      %6, %%ebx\n\t"                   // p2
                        "movl      %8, %%eax\n\t"                   // p2dup

                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1

                        "addl      $8, %%edx\n\t"                   // p1 += 8

                        "subl      $8, %%ebx\n\t"                   // p2 -= 8

                        "subl      $8, %%eax\n\t"                   // p2dup -= 8

                        "jmp       3f\n\t" //StartPixel

                        ".align 16\n\t"

        "2:\n\t" //NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 == mm2
                        "movq      %%mm2, (%%eax)\n\t"              // *p2dup = mm2
                        "addl      $8, %%ebx\n\t"
                        "addl      $8, %%eax\n\t"
                        "movq      %%mm5, (%%ebx)\n\t"
                        "movq      %%mm5, (%%eax)\n\t"

        "3:\n\t" //StartPixel
                        "movq      %%mm0, %%mm2\n\t"
                        "psubb     nPlus128, %%mm0\n\t"             // U-128 V-128
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "addl      $8, %%eax\n\t"                   // p2dup += 8
                        "psraw     $8, %%mm0\n\t"
                        "pand      %%mm4, %%mm2\n\t"                // unmask UV
                        "movq      %%mm0, %%mm1\n\t"
                        "punpckldq %%mm0, %%mm0\n\t"
                        "psrlw     $1, %%mm2\n\t"
                        "pmaddwd   %%mm7, %%mm0\n\t"                // mm0 += *pColorFaktor
                        "punpckhdq %%mm1, %%mm1\n\t"
                        "movq      %%mm2, %%mm5\n\t"
                        "pmaddwd   %%mm7, %%mm1\n\t"
                        "punpcklbw %%mm2, %%mm2\n\t"
                        "psrad     $0x0B, %%mm0\n\t"
                        "psrad     $0x0B, %%mm1\n\t"
                        "packssdw  %%mm1, %%mm0\n\t"
                        "packssdw  %%mm1, %%mm1\n\t"
                        "paddsw    %%mm0, %%mm0\n\t"
                        "punpckhbw %%mm5, %%mm5\n\t"
                        "movq      %%mm0, %%mm6\n\t"
                        "movq      nFaktoren, %%mm3\n\t"
                        "punpckldq %%mm6, %%mm6\n\t"
                        "pmulhw    %%mm3, %%mm6\n\t"
                        "punpckhdq %%mm0, %%mm0\n\t"
                        "pmulhw    %%mm3, %%mm0\n\t"
                        "movq      %%mm2, %%mm1\n\t"
                        "psllq     $8, %%mm2\n\t"
                        "por       %%mm1, %%mm2\n\t"
                        "movq      %%mm6, %%mm3\n\t"
                        "psrlq     $0x30, %%mm6\n\t"
                        "paddsw    %%mm3, %%mm6\n\t"
                        "packsswb  %%mm6, %%mm6\n\t"
                        "movq      %%mm5, %%mm3\n\t"
                        "psllq     $8, %%mm5\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "movq      %%mm0, %%mm1\n\t"
                        "psrlq     $0x30, %%mm0\n\t"
                        "paddsw    %%mm1, %%mm0\n\t"
                        "packsswb  %%mm0, %%mm0\n\t"
                        "paddsb    %%mm0, %%mm5\n\t"
                        "paddsb    %%mm6, %%mm2\n\t"
                        "pxor      %%mm1, %%mm1\n\t"
                        "pxor      %%mm3, %%mm3\n\t"
                        "pcmpgtb   %%mm5, %%mm3\n\t"
                        "pandn     %%mm5, %%mm3\n\t"
                        "pcmpgtb   %%mm2, %%mm1\n\t"
                        "pandn     %%mm2, %%mm1\n\t"
                        "movq      %%mm3, %%mm0\n\t"
                        "psrld     $0x0A, %%mm0\n\t"                // t
                        "pslld     $0x13, %%mm0\n\t"                // R
                        "pand      %%mm4, %%mm3\n\t"
                        "movq      %%mm3, %%mm5\n\t"
                        "psrld     $1, %%mm5\n\t"                   // t
                        "psllw     $0x0A, %%mm5\n\t"                // G
                        "por       %%mm0, %%mm5\n\t"
                        "psrlw     $0x02, %%mm3\n\t"
                        "psrld     $0x0d, %%mm3\n\t"                // t
                        "por       %%mm3, %%mm5\n\t"                // B
                        "movq      %%mm1, %%mm2\n\t"
                        "pand      %%mm4, %%mm1\n\t"
                        "movq      %%mm1, %%mm0\n\t"
                        "psrld     $1, %%mm0\n\t"                   // t
                        "psllw     $0x0A, %%mm0\n\t"                // G
                        "psrlw     $0x02, %%mm1\n\t"
                        "psrld     $0x0d, %%mm1\n\t"                // t
                        "por       %%mm0, %%mm1\n\t"                // B
                        "psrld     $0x0A, %%mm2\n\t"                // t
                        "pslld     $0x13, %%mm2\n\t"                // R
                        "por       %%mm1, %%mm2\n\t"
                        "decl      %%ecx\n\t"
                        "jne       2b\n\t" //NextPixel
                        "movq      %%mm2, (%%ebx)\n\t"
                        "movq      %%mm2, (%%eax)\n\t"
                        "addl      $8, %%ebx\n\t"
                        "addl      $8, %%eax\n\t"
                        "movq      %%mm5, (%%ebx)\n\t"
                        "movq      %%mm5, (%%eax)\n\t"

        "4:\n\t" //end
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (i1),       /* %0 */
                        "m" (i2),       /* %1 */
                        "m" (offset32), /* %2 */
                        "m" (y),        /* %3 */
                        "m" (perm_y),   /* %4 */
                        "m" (xsize),    /* %5 */
                        "m" (p2),       /* %6 */
                        "m" (p1),       /* %7 */
                        "m" (p2dup)     /* %8 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );
}



    //********************************************************************
    //                        P U T L I N E    S E C A M   R G B 1 6
    //********************************************************************
inline void
putline_SECAM_RGB16 (int xsize, void *p2, void *p1)
{
  __asm__ __volatile__ (
                        //"movl colortable_offset, %%edi\n\t"
                        // edi = 4*32+1248
                        //"movl      $32, %%eax\n\t"
                        //"leal      0x4E0(, %%eax,4), %%edi\n\t"
                        "movl $1376, %%edi\n\t"
                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

        "1:\n\t"

                        "movl      %2, %%edx\n\t"                   // p1
                        "movl      %0, %%ecx\n\t"                   // xsize

                        "movq      (%%edi), %%mm7\n\t"              // mm7 = *pColorFaktor (64 bits)
                        "movq      nMaskY, %%mm4\n\t"

                        "shrl      $3, %%ecx\n\t"                   // xsize /= 8
                        "movl      %1, %%ebx\n\t"                   // p2

                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1

                        "addl      $8, %%edx\n\t"                   // p1 += 8

                        "subl      $8, %%ebx\n\t"                   // p2 -= 8 

                        "jmp       3f\n\t" //StartPixel

                        ".align 16\n\t"

        "2:\n\t" //NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 = mm2


        "3:\n\t" //StartPixel
                        "movq      %%mm0, %%mm2\n\t"
                        "psubb     nPlus128, %%mm0\n\t"             // U-128 V-128
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "psraw     $8, %%mm0\n\t"
                        "pand      %%mm4, %%mm2\n\t"                // unmask UV
                        "movq      %%mm0, %%mm1\n\t"
                        "punpckldq %%mm0, %%mm0\n\t"
                        "psrlw     $1, %%mm2\n\t"
                        "pmaddwd   %%mm7, %%mm0\n\t"                // mm0 += *pColorFaktor
                        // ??? movq mm6
                        "punpckhdq %%mm1, %%mm1\n\t"
                        "movq      %%mm2, %%mm5\n\t"
                        "pmaddwd   %%mm7, %%mm1\n\t"
                        "punpcklbw %%mm2, %%mm2\n\t"
                        "psrad     $0x0B, %%mm0\n\t"
                        "psrad     $0x0B, %%mm1\n\t"
                        "packssdw  %%mm1, %%mm0\n\t"
                        // ??? movd eax
                        "packssdw  %%mm1, %%mm1\n\t"
                        "paddsw    %%mm0, %%mm0\n\t"
                        "punpckhbw %%mm5, %%mm5\n\t"
                        "movq      %%mm0, %%mm6\n\t"
                        "movq      nFaktoren, %%mm3\n\t"
                        "punpckldq %%mm6, %%mm6\n\t"
                        "pmulhw    %%mm3, %%mm6\n\t"
                        "punpckhdq %%mm0, %%mm0\n\t"
                        "pmulhw    %%mm3, %%mm0\n\t"
                        "movq      %%mm2, %%mm1\n\t"
                        "psllq     $8, %%mm2\n\t"
                        "movq      %%mm6, %%mm3\n\t"
                        "psrlq     $0x30, %%mm6\n\t"
                        "por       %%mm1, %%mm2\n\t"
                        "paddsw    %%mm3, %%mm6\n\t"
                        "movq      %%mm5, %%mm3\n\t"
                        "psllq     $8, %%mm5\n\t"
                        "packsswb  %%mm6, %%mm6\n\t"
                        "movq      %%mm0, %%mm1\n\t"
                        "psrlq     $0x30, %%mm0\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "paddsw    %%mm1, %%mm0\n\t"
                        "pxor      %%mm1, %%mm1\n\t"
                        "packsswb  %%mm0, %%mm0\n\t"
                        "pxor      %%mm3, %%mm3\n\t"
                        "paddsb    %%mm0, %%mm5\n\t"
                        "paddsb    %%mm6, %%mm2\n\t"
                        "pcmpgtb   %%mm5, %%mm3\n\t"
                        "pandn     %%mm5, %%mm3\n\t"
                        "pcmpgtb   %%mm2, %%mm1\n\t"
                        "movq      %%mm3, %%mm0\n\t"
                        "pand      %%mm4, %%mm3\n\t"
                        "psrld     $0x0A, %%mm0\n\t"
                        "pandn     %%mm2, %%mm1\n\t"
                        "pslld     $0x1B, %%mm0\n\t"                // 0x1A
                        "movq      %%mm3, %%mm5\n\t"
                        "psrlw     $2, %%mm3\n\t"
                        "movq      %%mm1, %%mm2\n\t"
                        "psrld     $1, %%mm5\n\t"                   // 02
                        "pand      %%mm4, %%mm1\n\t"
                        "pslld     $0x15, %%mm5\n\t"
                        "por       %%mm0, %%mm5\n\t"
                        "movq      %%mm1, %%mm0\n\t"
                        "psrlw     $2, %%mm1\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "psrld     $1, %%mm0\n\t"                   // 02
                        "pslld     $0x15, %%mm0\n\t"
                        "psrad     $0x10, %%mm5\n\t"
                        "por       %%mm0, %%mm1\n\t"
                        "psrld     $0x0A, %%mm2\n\t"
                        "pslld     $0x1B, %%mm2\n\t"                // 0x1A
                        "por       %%mm1, %%mm2\n\t"
                        "psrad     $0x10, %%mm2\n\t"
                        "decl      %%ecx\n\t"
                        "packssdw  %%mm5, %%mm2\n\t"
                        "jne       2b\n\t" //NextPixel

                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 = mm2

        "4:\n\t" //end
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (xsize),    /* %0 */
                        "m" (p2),       /* %1 */
                        "m" (p1)        /* %2 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );

}


    //********************************************************************
    //                        P U T L I N E   S E C A M   R G B 3 2
    //********************************************************************

inline void
putline_SECAM_RGB32 (int xsize, void *p2, void *p1)
{
  __asm__ __volatile__ (
                        //"movl colortable_offset, %%edi\n\t"
                        // edi = 4*32+1248
                        //"movl      $32, %%eax\n\t"
                        //"leal      0x4E0(, %%eax,4), %%edi\n\t"
                        "movl $1376, %%edi\n\t"
                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

        "1:\n\t"

                        "movl      %2, %%edx\n\t"                   // p1
                        "movl      %0, %%ecx\n\t"                   // xsize

                        "movq      (%%edi), %%mm7\n\t"              // mm7 = *pColorFaktor (64 bits)
                        "movq      nMaskY, %%mm4\n\t"

                        "shrl      $3, %%ecx\n\t"                   // xsize /= 8
                        "movl      %1, %%ebx\n\t"                   // p2

                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1

                        "addl      $8, %%edx\n\t"                   // p1 += 8

                        "subl      $8, %%ebx\n\t"                   // p2 -= 8

                        "jmp       3f\n\t" //StartPixel

                        ".align 16\n\t"

        "2:\n\t" //NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 = mm2
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "movq      %%mm5, (%%ebx)\n\t"              // *p2 = mm5

        "3:\n\t" //StartPixel
                        "movq      %%mm0, %%mm2\n\t"
                        "psubb     nPlus128, %%mm0\n\t"             // U-128 V-128
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "psraw     $8, %%mm0\n\t"
                        "pand      %%mm4, %%mm2\n\t"                // unmask UV
                        "movq      %%mm0, %%mm1\n\t"
                        "punpckldq %%mm0, %%mm0\n\t"
                        "psrlw     $1, %%mm2\n\t"
                        "pmaddwd   %%mm7, %%mm0\n\t"                // mm0 += *pColorFaktor
                        "punpckhdq %%mm1, %%mm1\n\t"
                        "movq      %%mm2, %%mm5\n\t"
                        "pmaddwd   %%mm7, %%mm1\n\t"
                        "punpcklbw %%mm2, %%mm2\n\t"
                        "psrad     $0x0B, %%mm0\n\t"
                        "psrad     $0x0B, %%mm1\n\t"
                        "packssdw  %%mm1, %%mm0\n\t"
                        "packssdw  %%mm1, %%mm1\n\t"
                        "paddsw    %%mm0, %%mm0\n\t"
                        "punpckhbw %%mm5, %%mm5\n\t"
                        "movq      %%mm0, %%mm6\n\t"
                        "movq      nFaktoren, %%mm3\n\t"
                        "punpckldq %%mm6, %%mm6\n\t"
                        "pmulhw    %%mm3, %%mm6\n\t"
                        "punpckhdq %%mm0, %%mm0\n\t"
                        "pmulhw    %%mm3, %%mm0\n\t"
                        "movq      %%mm2, %%mm1\n\t"
                        "psllq     $8, %%mm2\n\t"
                        "por       %%mm1, %%mm2\n\t"
                        "movq      %%mm6, %%mm3\n\t"
                        "psrlq     $0x30, %%mm6\n\t"
                        "paddsw    %%mm3, %%mm6\n\t"
                        "packsswb  %%mm6, %%mm6\n\t"
                        "movq      %%mm5, %%mm3\n\t"
                        "psllq     $8, %%mm5\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "movq      %%mm0, %%mm1\n\t"
                        "psrlq     $0x30, %%mm0\n\t"
                        "paddsw    %%mm1, %%mm0\n\t"
                        "packsswb  %%mm0, %%mm0\n\t"
                        "paddsb    %%mm0, %%mm5\n\t"
                        "paddsb    %%mm6, %%mm2\n\t"
                        "pxor      %%mm1, %%mm1\n\t"
                        "pxor      %%mm3, %%mm3\n\t"
                        "pcmpgtb   %%mm5, %%mm3\n\t"
                        "pandn     %%mm5, %%mm3\n\t"
                        "pcmpgtb   %%mm2, %%mm1\n\t"
                        "pandn     %%mm2, %%mm1\n\t"
                        "movq      %%mm3, %%mm0\n\t"
                        "psrld     $0x0A, %%mm0\n\t"                // t
                        "pslld     $0x13, %%mm0\n\t"                // R
                        "pand      %%mm4, %%mm3\n\t"
                        "movq      %%mm3, %%mm5\n\t"
                        "psrld     $1, %%mm5\n\t"                   // t
                        "psllw     $0x0A, %%mm5\n\t"                // G
                        "por       %%mm0, %%mm5\n\t"
                        "psrlw     $0x02, %%mm3\n\t"
                        "psrld     $0x0d, %%mm3\n\t"                // t
                        "por       %%mm3, %%mm5\n\t"                // B
                        "movq      %%mm1, %%mm2\n\t"
                        "pand      %%mm4, %%mm1\n\t"
                        "movq      %%mm1, %%mm0\n\t"
                        "psrld     $1, %%mm0\n\t"                   // t
                        "psllw     $0x0A, %%mm0\n\t"                // G
                        "psrlw     $0x02, %%mm1\n\t"
                        "psrld     $0x0d, %%mm1\n\t"                // t
                        "por       %%mm0, %%mm1\n\t"                // B
                        "psrld     $0x0A, %%mm2\n\t"                // t
                        "pslld     $0x13, %%mm2\n\t"                // R
                        "por       %%mm1, %%mm2\n\t"
                        "decl      %%ecx\n\t"
                        "jne       2b\n\t" //NextPixel
                        "movq      %%mm2, (%%ebx)\n\t"
                        "addl      $8, %%ebx\n\t"
                        "movq      %%mm5, (%%ebx)\n\t"

        "4:\n\t" //end
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (xsize),    /* %0 */
                        "m" (p2),       /* %1 */
                        "m" (p1)        /* %2 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );

}


    //********************************************************************
    //                        P U T L I N E D U P   S E C A M   R G B 1 6
    //********************************************************************
inline void
putlinedup_SECAM_RGB16 (int xsize, void *p2, void *p1, void *p2dup)
{
  __asm__ __volatile__ (
                        //"movl colortable_offset, %%edi\n\t"
                        // edi = 4*32+1248
                        //"movl      $32, %%eax\n\t"
                        //"leal      0x4E0(, %%eax,4), %%edi\n\t"
                        "movl $1376, %%edi\n\t"
                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

        "1:\n\t"
                        "movl      %2, %%edx\n\t"                   // p1
                        "movl      %0, %%ecx\n\t"                   // xsize

                        "movq      (%%edi), %%mm7\n\t"
                        "movq      nMaskY, %%mm4\n\t"

                        "shrl      $3, %%ecx\n\t"                   // xsize /= 8
                        "movl      %1, %%ebx\n\t"                   // p2
                        "movl      %3, %%eax\n\t"                   // p2dup

                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1

                        "addl      $8, %%edx\n\t"                   // p1 += 8

                        "subl      $8, %%ebx\n\t"                   // p2 -= 8

                        "subl      $8, %%eax\n\t"                   // p2dup -= 8

                        "jmp       3f\n\t" //StartPixel

                        ".align 16\n\t"

        "2:\n\t" //NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 == mm2
                        "movq      %%mm2, (%%eax)\n\t"              // *p2dup = mm2

        "3:\n\t" //StartPixel
                        "movq      %%mm0, %%mm2\n\t"
                        "psubb     nPlus128, %%mm0\n\t"             // U-128 V-128
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "addl      $8, %%eax\n\t"                   // p2dup += 8
                        "psraw     $8, %%mm0\n\t"
                        "pand      %%mm4, %%mm2\n\t"                // unmask UV
                        "movq      %%mm0, %%mm1\n\t"
                        "punpckldq %%mm0, %%mm0\n\t"
                        "psrlw     $1, %%mm2\n\t"
                        "pmaddwd   %%mm7, %%mm0\n\t"
                        "punpckhdq %%mm1, %%mm1\n\t"
                        "movq      %%mm2, %%mm5\n\t"
                        "pmaddwd   %%mm7, %%mm1\n\t"
                        "punpcklbw %%mm2, %%mm2\n\t"
                        "psrad     $0x0B, %%mm0\n\t"
                        "psrad     $0x0B, %%mm1\n\t"
                        "packssdw  %%mm1, %%mm0\n\t"
                        "packssdw  %%mm1, %%mm1\n\t"
                        "paddsw    %%mm0, %%mm0\n\t"
                        "punpckhbw %%mm5, %%mm5\n\t"
                        "movq      %%mm0, %%mm6\n\t"
                        "movq      nFaktoren, %%mm3\n\t"
                        "punpckldq %%mm6, %%mm6\n\t"
                        "pmulhw    %%mm3, %%mm6\n\t"
                        "punpckhdq %%mm0, %%mm0\n\t"
                        "pmulhw    %%mm3, %%mm0\n\t"
                        "movq      %%mm2, %%mm1\n\t"
                        "psllq     $8, %%mm2\n\t"
                        "movq      %%mm6, %%mm3\n\t"
                        "psrlq     $0x30, %%mm6\n\t"
                        "por       %%mm1, %%mm2\n\t"
                        "paddsw    %%mm3, %%mm6\n\t"
                        "movq      %%mm5, %%mm3\n\t"
                        "psllq     $8, %%mm5\n\t"
                        "packsswb  %%mm6, %%mm6\n\t"
                        "movq      %%mm0, %%mm1\n\t"
                        "psrlq     $0x30, %%mm0\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "paddsw    %%mm1, %%mm0\n\t"
                        "pxor      %%mm1, %%mm1\n\t"
                        "packsswb  %%mm0, %%mm0\n\t"
                        "pxor      %%mm3, %%mm3\n\t"
                        "paddsb    %%mm0, %%mm5\n\t"
                        "paddsb    %%mm6, %%mm2\n\t"
                        "pcmpgtb   %%mm5, %%mm3\n\t"
                        "pandn     %%mm5, %%mm3\n\t"
                        "pcmpgtb   %%mm2, %%mm1\n\t"
                        "movq      %%mm3, %%mm0\n\t"
                        "pand      %%mm4, %%mm3\n\t"
                        "psrld     $0x0A, %%mm0\n\t"
                        "pandn     %%mm2, %%mm1\n\t"
                        "pslld     $0x1B, %%mm0\n\t"                // 0x1A
                        "movq      %%mm3, %%mm5\n\t"
                        "psrlw     $2, %%mm3\n\t"
                        "movq      %%mm1, %%mm2\n\t"
                        "psrld     $1, %%mm5\n\t"                   // 02
                        "pand      %%mm4, %%mm1\n\t"
                        "pslld     $0x15, %%mm5\n\t"
                        "por       %%mm0, %%mm5\n\t"
                        "movq      %%mm1, %%mm0\n\t"
                        "psrlw     $2, %%mm1\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "psrld     $1, %%mm0\n\t"                   // 02
                        "pslld     $0x15, %%mm0\n\t"
                        "psrad     $0x10, %%mm5\n\t"
                        "por       %%mm0, %%mm1\n\t"
                        "psrld     $0x0A, %%mm2\n\t"
                        "pslld     $0x1B, %%mm2\n\t"                // 0x1A
                        "por       %%mm1, %%mm2\n\t"
                        "psrad     $0x10, %%mm2\n\t"
                        "decl      %%ecx\n\t"
                        "packssdw  %%mm5, %%mm2\n\t"
                        "jne       2b\n\t" //NextPixel
                        "movq      %%mm2, (%%ebx)\n\t"
                        "movq      %%mm2, (%%eax)\n\t"

        "4:\n\t" //end
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (xsize),    /* %0 */
                        "m" (p2),       /* %1 */
                        "m" (p1),       /* %2 */
                        "m" (p2dup)     /* %3 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );
}



    //********************************************************************
    //                        P U T L I N E D U P   S E C A M   R G B 3 2
    //********************************************************************
inline void
putlinedup_SECAM_RGB32 (int xsize, void *p2, void *p1, void *p2dup)
{
  __asm__ __volatile__ (
                        //"movl colortable_offset, %%edi\n\t"
                        // edi = 4*32+1248
                        //"movl      $32, %%eax\n\t"
                        //"leal      0x4E0(, %%eax,4), %%edi\n\t"
                        "movl $1376, %%edi\n\t"
                        // edi = colortable + 8 * edi
                        // i.e. pColorFaktor = colortable + 8 * ( 4 * (perm_y - y) + 1248 + i2 + 2 * i1 )
                        "leal      colortable(, %%edi,8), %%edi\n\t"

        "1:\n\t"
                        "movl      %2, %%edx\n\t"                   // p1
                        "movl      %0, %%ecx\n\t"                   // xsize

                        "movq      (%%edi), %%mm7\n\t"
                        "movq      nMaskY, %%mm4\n\t"

                        "shrl      $3, %%ecx\n\t"                   // xsize /= 8
                        "movl      %1, %%ebx\n\t"                   // p2
                        "movl      %3, %%eax\n\t"                   // p2dup

                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1

                        "addl      $8, %%edx\n\t"                   // p1 += 8

                        "subl      $8, %%ebx\n\t"                   // p2 -= 8

                        "subl      $8, %%eax\n\t"                   // p2dup -= 8

                        "jmp       3f\n\t" //StartPixel

                        ".align 16\n\t"

        "2:\n\t" //NextPixel
                        "movq      (%%edx), %%mm0\n\t"              // mm0 = *p1
                        "addl      $8, %%edx\n\t"                   // p1 += 8
                        "movq      %%mm2, (%%ebx)\n\t"              // *p2 == mm2
                        "movq      %%mm2, (%%eax)\n\t"              // *p2dup = mm2
                        "addl      $8, %%ebx\n\t"
                        "addl      $8, %%eax\n\t"
                        "movq      %%mm5, (%%ebx)\n\t"
                        "movq      %%mm5, (%%eax)\n\t"

        "3:\n\t" //StartPixel
                        "movq      %%mm0, %%mm2\n\t"
                        "psubb     nPlus128, %%mm0\n\t"             // U-128 V-128
                        "addl      $8, %%ebx\n\t"                   // p2 += 8
                        "addl      $8, %%eax\n\t"                   // p2dup += 8
                        "psraw     $8, %%mm0\n\t"
                        "pand      %%mm4, %%mm2\n\t"                // unmask UV
                        "movq      %%mm0, %%mm1\n\t"
                        "punpckldq %%mm0, %%mm0\n\t"
                        "psrlw     $1, %%mm2\n\t"
                        "pmaddwd   %%mm7, %%mm0\n\t"                // mm0 += *pColorFaktor
                        "punpckhdq %%mm1, %%mm1\n\t"
                        "movq      %%mm2, %%mm5\n\t"
                        "pmaddwd   %%mm7, %%mm1\n\t"
                        "punpcklbw %%mm2, %%mm2\n\t"
                        "psrad     $0x0B, %%mm0\n\t"
                        "psrad     $0x0B, %%mm1\n\t"
                        "packssdw  %%mm1, %%mm0\n\t"
                        "packssdw  %%mm1, %%mm1\n\t"
                        "paddsw    %%mm0, %%mm0\n\t"
                        "punpckhbw %%mm5, %%mm5\n\t"
                        "movq      %%mm0, %%mm6\n\t"
                        "movq      nFaktoren, %%mm3\n\t"
                        "punpckldq %%mm6, %%mm6\n\t"
                        "pmulhw    %%mm3, %%mm6\n\t"
                        "punpckhdq %%mm0, %%mm0\n\t"
                        "pmulhw    %%mm3, %%mm0\n\t"
                        "movq      %%mm2, %%mm1\n\t"
                        "psllq     $8, %%mm2\n\t"
                        "por       %%mm1, %%mm2\n\t"
                        "movq      %%mm6, %%mm3\n\t"
                        "psrlq     $0x30, %%mm6\n\t"
                        "paddsw    %%mm3, %%mm6\n\t"
                        "packsswb  %%mm6, %%mm6\n\t"
                        "movq      %%mm5, %%mm3\n\t"
                        "psllq     $8, %%mm5\n\t"
                        "por       %%mm3, %%mm5\n\t"
                        "movq      %%mm0, %%mm1\n\t"
                        "psrlq     $0x30, %%mm0\n\t"
                        "paddsw    %%mm1, %%mm0\n\t"
                        "packsswb  %%mm0, %%mm0\n\t"
                        "paddsb    %%mm0, %%mm5\n\t"
                        "paddsb    %%mm6, %%mm2\n\t"
                        "pxor      %%mm1, %%mm1\n\t"
                        "pxor      %%mm3, %%mm3\n\t"
                        "pcmpgtb   %%mm5, %%mm3\n\t"
                        "pandn     %%mm5, %%mm3\n\t"
                        "pcmpgtb   %%mm2, %%mm1\n\t"
                        "pandn     %%mm2, %%mm1\n\t"
                        "movq      %%mm3, %%mm0\n\t"
                        "psrld     $0x0A, %%mm0\n\t"                // t
                        "pslld     $0x13, %%mm0\n\t"                // R
                        "pand      %%mm4, %%mm3\n\t"
                        "movq      %%mm3, %%mm5\n\t"
                        "psrld     $1, %%mm5\n\t"                   // t
                        "psllw     $0x0A, %%mm5\n\t"                // G
                        "por       %%mm0, %%mm5\n\t"
                        "psrlw     $0x02, %%mm3\n\t"
                        "psrld     $0x0d, %%mm3\n\t"                // t
                        "por       %%mm3, %%mm5\n\t"                // B
                        "movq      %%mm1, %%mm2\n\t"
                        "pand      %%mm4, %%mm1\n\t"
                        "movq      %%mm1, %%mm0\n\t"
                        "psrld     $1, %%mm0\n\t"                   // t
                        "psllw     $0x0A, %%mm0\n\t"                // G
                        "psrlw     $0x02, %%mm1\n\t"
                        "psrld     $0x0d, %%mm1\n\t"                // t
                        "por       %%mm0, %%mm1\n\t"                // B
                        "psrld     $0x0A, %%mm2\n\t"                // t
                        "pslld     $0x13, %%mm2\n\t"                // R
                        "por       %%mm1, %%mm2\n\t"
                        "decl      %%ecx\n\t"
                        "jne       2b\n\t" //NextPixel
                        "movq      %%mm2, (%%ebx)\n\t"
                        "movq      %%mm2, (%%eax)\n\t"
                        "addl      $8, %%ebx\n\t"
                        "addl      $8, %%eax\n\t"
                        "movq      %%mm5, (%%ebx)\n\t"
                        "movq      %%mm5, (%%eax)\n\t"

        "4:\n\t" //end
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (xsize),    /* %0 */
                        "m" (p2),       /* %1 */
                        "m" (p1),       /* %2 */
                        "m" (p2dup)     /* %3 */
                        :        /* modified regs */
                        "eax", "ebx", "ecx", "edx", "edi"
                        /*, "mm0", "mm1", "mm2", "mm3", "mm4", "mm5", "mm6", "mm7" */
                        );
}



    //********************************************************************
    //                        P U T L I N E S W
    //********************************************************************

inline void
putlinesw (void *src, void *dest, int size)
{
  __asm__ __volatile__ ("movl      %0, %%ebx\n\t"    // src
                        "movl      %1, %%esi\n\t"    // dest
                        "movl      %2, %%ecx\n\t"    // size 
                        "shrl      $2, %%ecx\n\t"
                        "movq      ands, %%mm6\n\t"

                        ".align 16\n\t"

        "0:\n\t" //constw
                        "movq      (%%ebx), %%mm1\n\t"
                        "pand      %%mm6, %%mm1\n\t"
                        "psrlw     $3, %%mm1\n\t"
                        "movq      %%mm1, %%mm2\n\t"
                        "psllw     $6, %%mm2\n\t"
                        "movq      %%mm1, %%mm3\n\t"
                        "psllw     $11, %%mm3\n\t"
                        "por       %%mm2, %%mm1\n\t"
                        "por       %%mm3, %%mm1\n\t"
                        "movq      %%mm1, (%%esi)\n\t"
                        "addl      $8, %%esi\n\t"
                        "addl      $8, %%ebx\n\t"
                        "decl      %%ecx\n\t"
                        "jnz       0b\n\t" //constw
                        "emms\n\t"
                        :        /* no output */
                        :        /* input */
                        "m" (src),    /* %0 */
                        "m" (dest),   /* %1 */
                        "m" (size)    /* %2 */
                        /*, "m" (ands) */
                        :        /* modified regs */
                        "ebx", "ecx", "esi"
                        /*, "mm1" */
    );

}
